Bug 1591013 - (CVE-2018-7161) CVE-2018-7161 nodejs: denial of service (DoS) by causing a node server providing an http2 server to crash
CVE-2018-7161 nodejs: denial of service (DoS) by causing a node server provid...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20180612,repor...
: Security
Depends On: 1591015 1596529 1591014 1591016
Blocks: 1591010
  Show dependency treegraph
 
Reported: 2018-06-13 18:16 EDT by Laura Pardo
Modified: 2018-08-07 00:25 EDT (History)
41 users (show)

See Also:
Fixed In Version: nodejs 10.4.1, nodejs 9.11.2, nodejs 8.11.3
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laura Pardo 2018-06-13 18:16:00 EDT
A flaw was found in all versions of Node.js 8.x, 9.x, and 10.x. An attacker can cause a denial of service (DoS) by causing a node server providing an http2 server to crash. This can be accomplished by interacting with the http2 server in a manner that triggers a cleanup bug where objects are used in native code after they are no longer available.


References:
https://nodejs.org/en/blog/vulnerability/june-2018-security-releases/
Comment 1 Laura Pardo 2018-06-13 18:16:52 EDT
Created nodejs tracking bugs for this issue:

Affects: epel-all [bug 1591015]
Affects: fedora-all [bug 1591014]
Comment 4 Cedric Buissart 2018-06-28 11:04:18 EDT
Upstream fix:
https://github.com/nodejs/node/commit/8bf213dbdc7e
Comment 5 Jason Shepherd 2018-06-29 03:20:41 EDT
RHOAR NodeJS 10.4.1, has already been released with a fix for this issue.

Note You need to log in before you can comment on or make changes to this bug.